Bug 65052 - XPath2 Tester and JSON JMESPath Tester are missing in view.results.tree.renderers_order property
Summary: XPath2 Tester and JSON JMESPath Tester are missing in view.results.tree.rende...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: Nightly (Please specify date)
Hardware: PC All
: P2 normal (vote)
Target Milestone: JMETER 5.4.1
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2021-01-03 22:19 UTC by eR@SeR
Modified: 2021-01-11 23:08 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eR@SeR 2021-01-03 22:19:08 UTC
Hello,

In jmeter.properties file, XPath2 and JSON JMESPath renderers are missing in view.results.tree.renderers_order property and therefore cannot be ordered in VRT listener.

Maybe the default order of the properties can be reorganized to move those that are used more frequently nowadays to the upper positions like JSON, JSON JMESPath renderers and group them one after another?

This might be an example including two currently non-existing ones:

.RenderAsText,.RenderAsRegexp,.RenderAsBoundaryExtractor,org.apache.jmeter.extractor.json.render.RenderAsJsonRenderer,.RenderAsJSONJMES(non existing),.RenderAsJSON,.RenderAsXML,.RenderAsCssJQuery,.RenderAsXPath,.RenderAsXPath2(non existing),.RenderAsHTML,.RenderAsHTMLFormatted,.RenderAsHTMLWithEmbedded,.RenderAsDocument

Jmeter 5.4.1 c990226
Microsoft Windows 10 Enterprise 64-bit
java version "14.0.1" 2020-04-14
Comment 1 Felix Schumacher 2021-01-09 15:19:04 UTC
Thanks for reporting the issue. Should be fixed on trunk. It would be nice, if you could test next nightly or trunk build.

commit 14ba78644ad09020ab9e39fe8104aa5283f4146b
Author: Felix Schumacher <felix.schumacher@internetallee.de>
AuthorDate: Sat Jan 9 16:16:18 2021 +0100

    XPath2 Tester and JSON JMESPath Tester are missing in view.results.tree.renderers_order property
    
    Bugzilla Id: 65052
---
 bin/jmeter.properties | 2 +-
 xdocs/changes.xml     | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)
Comment 2 eR@SeR 2021-01-10 00:35:57 UTC
Hi,

All renderers can be ordered now. Thank you.

They are reorganized, but I'm for moving all JSONs just below Boundary extractor and grouping them together as suggested below. Do you think it makes sense?

(In reply to eR@SeR from comment #0)

> .RenderAsText,.RenderAsRegexp,.RenderAsBoundaryExtractor,org.apache.jmeter.
> extractor.json.render.RenderAsJsonRenderer,.RenderAsJSONJMES(non
> existing),.RenderAsJSON,.RenderAsXML,.RenderAsCssJQuery,.RenderAsXPath,.
> RenderAsXPath2(non
> existing),.RenderAsHTML,.RenderAsHTMLFormatted,.RenderAsHTMLWithEmbedded,.
> RenderAsDocument
Jmeter 5.4.1 7acd031
Microsoft Windows 10 Enterprise 64-bit
java version "14.0.1" 2020-04-14
Comment 3 Philippe Mouawad 2021-01-10 09:12:13 UTC
Hello,
They are currently organized according to the most frequent usage.
I think it’s ok to have them like this so that the different technologies appear when you click the select box without scrolling it.

Regards
Comment 4 eR@SeR 2021-01-11 23:08:23 UTC
(In reply to Philippe Mouawad from comment #3)
> Hello,
> They are currently organized according to the most frequent usage.
> I think it’s ok to have them like this so that the different technologies
> appear when you click the select box without scrolling it.
> 
> Regards
Hi,

OK. Thanks for the explanation.

Regards